/*list screen*/

.s-campaign-list {

    // style input search list campaign
    .m-portlet__body-head {
        .m-portlet__body-head-top {
            width: 100%;

            .m-portlet__body-head-top-left {
                align-items: center;
            }

            .m-portlet__body-head-top-left,
            .m-portlet__body-head-top-right {
                width: 50%;
                float: left;
                display: flex;
            }

            .m-portlet__body-head-top-right {
                justify-content: flex-end;

                .search {
                    input {
                        width: 200px;
                    }

                    span {
                        pointer-events: none;
                    }
                }

                .m-btn {
                    &:focus {
                        background-color: transparent;
                    }
                }
            }
        }
    }

    .dataTables_wrapper {
        table {
            tr {
                td {
                    img {
                        width: 100px;
                        height: 100px;
                    }

                    &.unit {
                        span {
                            margin: 0 auto;
                            display: table;
                        }
                    }

                    &.retail_price,
                    &.wholesale_price,
                    &.promotion_price,
                    &.stock {
                        span {
                            float: right;
                        }
                    }
                }

                td.name,
                td.name_trash {
                    max-width: 200px;
                }

                td.result {
                    min-width: 480px;

                    .progress--custom {
                        position: relative;

                        .progress {
                            width: 65%;
                            float: left;
                            height: 18px;
                        }

                        .progress--percent {
                            position: absolute;
                            left: calc(65%/2);

                            &.full-half {
                                color: #FFFFFF;
                            }
                        }

                        .progress--number {
                            float: left;
                            width: 35%;
                            padding-left: 10px;

                            .progress__number--success {
                                color: #34bfa3;
                            }
                        }
                    }
                }

                td.result_trash {
                    min-width: 320px;

                    .process--trash {
                        position: relative;

                        .progress {
                            width: 50%;
                            float: left;
                            height: 18px;
                        }

                        .progress--percent {
                            position: absolute;
                            left: calc(48%/2);
                        }

                        .progress--number {
                            float: left;
                            width: 50%;
                            padding-left: 10px;

                            .progress__number--success {
                                color: #34bfa3;
                            }
                        }
                    }
                }
            }
        }
    }

    /*add new screen*/
    .add-new-campaign {
        form {
            h3.m-form__heading-title {
                margin-top: 15px;
            }

            .m-radio-inline {
                display: inline-block;
                width: 100%;
                height: 30px;
            }

            li.list-inline-item {
                margin: 0.5rem 0.3rem 0 0 !important;

                .m-badge.m-badge--wide {
                    padding: 3px 10px !important;

                    .close {
                        margin-left: 5px;
                        font-size: 15px;
                        margin-top: 3px;
                    }
                }
            }

            .campaign-files-upload {
                margin-bottom: 10px;
            }

            .preview-campaign {
                display: block;
                margin-bottom: 5px;
            }

            .add-media-image {
                list-style: none;
                padding: 0;

                li.image-item {
                    height: auto;
                    width: 84px;
                    display: inline-block;
                    position: relative;
                    margin-right: 1%;

                    img {
                        width: 100%;
                        display: block;
                        background: #f7f7f7;
                    }

                    .close {
                        font-size: 1.5rem;
                        text-shadow: none;
                        background: none repeat scroll 0% 0% rgba(0, 0, 0, 0.7);
                        padding: 2px 5px;
                        position: absolute;
                        color: #FFF;
                        right: 0px;
                        top: 0px;
                        cursor: pointer;
                        opacity: 0.75;
                    }

                    &.thumbnail {
                        width: 120px !important;
                    }
                }
            }

            .add-media-attachment {
                list-style: none;
                padding: 0;

                li.attachment-item {
                    position: relative;

                    span.preview-campaign {
                        color: #00a4bd;
                        margin-bottom: 3px;
                        display: inline-block;
                    }

                    .close {
                        float: none;
                        position: absolute;
                        margin: 1px 0 0 5px;
                    }
                }
            }

            .has-danger {
                .m--font-danger {
                    margin-bottom: 10px;
                }
            }
        }
    }
}

/*detail screen*/

.single-campaign-page {
    .campaign-tab-view {
        display: inline-block;
        width: 100%;
        margin-top: 20px;

        .form-group {
            margin-bottom: 1.5rem !important;
        }

        .campaign-tab-view-left {
            width: calc((100% - 20px) / 2);
            float: left;
            margin-right: 20px;

            &.description {
                width: 63% !important;
            }

            .editor-description-content {
                height: 322px;
                overflow: auto;

                img {
                    max-width: 100%;
                }
            }
        }

        .campaign-tab-view-right {
            width: calc((100% - 20px) / 2);
            float: right;

            .label-image-description {
                padding-left: 10px;
            }

            .thumbnail-image {
                margin-bottom: 2.5rem;

                img {
                    height: 133px;
                    width: auto;
                }
            }

            .list-campaign-attachment {
                display: block;
                list-style: none;
                padding-left: 0;

                .campaign-item {
                    display: flex;
                    margin-bottom: 5px;

                    .fa {
                        padding-left: 10px;
                    }
                }
            }

            .list-image-description {
                display: contents;
                list-style: none;

                .image-item {
                    height: 110px;
                    width: 110px;
                    padding: 0 0 10px 10px;

                    img {
                        width: 100%;
                    }
                }
            }

            &.description {
                width: 34% !important;
            }
        }

        .list-inline-item {
            padding: 0 7px 7px 0;
        }
    }

    .m-portlet__body {
        .m-widget7__img {
            border-radius: 50%;
        }

        .s--modal-campaign-edit-modal {
            .modal-content {
                .modal-body {
                    .m-form__group {
                        ul.list-unstyled {
                            margin-top: 15px !important;

                            li.list-inline-item {
                                margin-bottom: 7px;

                                .close {
                                    font-size: 1.3rem;
                                    padding: 1.2px 0 0 3px;
                                }
                            }
                        }

                        ul.list-image-description {
                            list-style: none;
                            padding: 0;

                            li.image-item {
                                height: auto;
                                width: 84px;
                                display: inline-block;
                                position: relative;
                                margin-right: 1%;

                                img {
                                    width: 100%;
                                    display: block;
                                    background: #f7f7f7;
                                }

                                .close {
                                    font-size: 1.5rem;
                                    text-shadow: none;
                                    background: none repeat scroll 0% 0% rgba(0, 0, 0, 0.7);
                                    padding: 2px 5px;
                                    position: absolute;
                                    color: #FFF;
                                    right: 0px;
                                    top: 0px;
                                    cursor: pointer;
                                    opacity: 0.75;
                                }
                            }
                        }
                    }

                    .upload-btn-wrapper {
                        position: relative;
                        overflow: hidden;
                        display: block;
                        margin-top: 8px;
                    }

                    .upload-btn-wrapper input[type='file'] {
                        font-size: 23px;
                        position: absolute;
                        left: 0;
                        top: 0;
                        opacity: 0;
                    }
                }
            }
        }

        .tab-content {
            .head-panel {
                overflow: hidden;

                .m-widget5__title {
                    float: left;
                }

                .box-search-notes {
                    width: 50%;
                    float: right;
                }
            }
        }

        .popup-history-manage {
            max-height: 500px;
            overflow: auto;

            table {
                td {
                    vertical-align: top;

                    &.old-value,
                    &.new-value {
                        max-width: 300px;
                        max-height: 250px;
                        overflow: auto;
                    }
                }
            }
        }
    }

    .ql-editor {
        font-size: 13px !important;
    }
}

.s-campaign-list {

    /*trash screen*/
    &.trash-screen {
        .dataTables_wrapper {
            table {
                td {
                    &.category {
                        width: 180px;
                    }

                    &.retail_price,
                    &.wholesale_price,
                    &.promotion_price {
                        width: 150px;
                    }
                }
            }
        }
    }

    /*popup edit*/
    .popup-edit {
        .modal-body {
            .modal-footer {
                padding: 0;
                margin-top: 15px;
                border: none
            }
        }
    }
}

.has-danger {
    .form-control {
        border-color: #f4516c;
    }

    .v-select {
        .dropdown-toggle {
            border-color: #f4516c !important;
        }
    }
}

.quillWrapper {
    .ql-toolbar {
        .ql-formats {
            margin-bottom: 5px;

            button {
                width: 22px;

                svg {
                    width: 17px !important;
                    height: 17px !important;
                }
            }
        }
    }

    .ql-container {
        .ql-editor {
            font-size: 13px !important;
        }

    }
}

.campaign__info--box-index {
    margin-bottom: 15px;
}

.campaign-fs-16 {
    font-size: 16px;
}

.campaign-pd-b-80 {
    padding-bottom: 80px !important;
}

.campaign__list--person {
    margin-left: -5px;
    margin-right: -5px;

    .list-inline-item {
        padding-left: 5px;
        padding-right: 5px;
    }
}


.campaign__actions--list {
    float: left;
    border: solid 1px #aaaaaa;
    margin-bottom: 15px;
    box-shadow: 1px 1px 3px #aaaaaa;
    padding: 10px;

    .campaign__actions--list-name {
        float: left;
        margin-bottom: 10px;

        .m--font-bolder {
            font-size: 14px;
            margin-top: 3px;
            float: left;
            display: block;
        }

        .campaign__actions--list-icon {
            font-size: 25px !important;
            margin-left: 6px;
        }
    }

    .campaign__actions--list-content {
        float: left;

        .campaign__actions--list-tttg {
            float: left;
        }

        p {
            margin: 0px;
        }
    }
}

.campaign__index--info--run {
    color: #34bfa3;
}

.campaign__tab--actions {
    max-height: 400px;
    overflow-y: auto;
    padding-left: 11px !important;
    padding-right: 15px !important;
}

.m-dropdown__multiselect--wrapper {
    width: 100%;
    float: left;
    position: relative;

    .m-dropdown__multiselect--inner {
        width: 100%;
        height:32px;
        float: left;
        border: solid 1px #EEEEEE;
        position: relative;
        padding: 5px 5px 5px 12px;
        border-radius: 3px;
        cursor: pointer;

        span {
            cursor: pointer;
        }

        .m-dropdown__multiselect--icon {
            position: absolute;
            top: 50%;
            right: 10px;
            transform: translate(0px, -50%);
            font-size: 10px;
        }
    }

    .m-dropdown__wrapper {
        display: none;
        min-width: 330px;
        position: absolute;
        top: 34px;
        background: #FFF;
        box-shadow: 1px 1px 5px #AAA;
        z-index: 10;
        border-radius: 4px;

        .m-dropdown__inner {
            width: 100%;

            .m-dropdown__body {
                padding: 15px;

                .m-multidropdowncheckbox {

                    width: 300px;
                    overflow: hidden;
                    white-space: nowrap;
                    text-overflow: ellipsis;

                    span {
                        display: block;
                        margin-top: -1px;
                    }

                    &:hover {
                        color: #00a4bd;
                    }
                }
            }
        }
    }
}

@media print {
    @page {
        margin-top: 80px;
    }
}

.s--diagram-tree-type2-body{
    white-space: nowrap;
    overflow: auto;
    max-height: calc(100vh - 65px - 78.5px - 86px - 40px);
    height: auto !important;

    &::-webkit-scrollbar {
        width: 4px;
        height: 4px;
    }

    .s--diagram-tree-type2{
        min-width: 600px;
        max-width: 800px;
        ul.tree-root{
            padding-top: 0;
        }

        ul{
            list-style: none;
            padding: 0;
            margin: 0;
            padding-top: 50px;
            position: relative;
            li{
                text-align: center;
                list-style-type: none;
                position: relative;
                padding: 50px 5px 0 5px;
                transition: all 0.5s;
                -webkit-transition: all 0.5s;
                -moz-transition: all 0.5s;
                float: none;
                display: inline-block;
                vertical-align: top;
                white-space: nowrap;
                //margin: 0 -2px 0 -2px;
                margin: 0 8px 0 -2px;

                &:before, &:after{
                    content: '';
                    position: absolute;
                    top: 0;
                    right: 50%;
                    border-top: 1px solid #ccc;
                    width: 55%;
                    height: 50px;
                }

                &:after{
                    right: auto;
                    left: 50%;
                    border-left: 1px solid #ccc;
                }

                &:only-child::after, &:only-child::before{
                    display: none;
                }

                &:only-child{
                    padding-top: 0;
                    .item{
                        .condition-name{
                            //top: -35px;
                            //left: calc(50% + 6.5px);
                        }
                    }
                }

                &:first-child::before, &:last-child::after{
                    border: 0 none;
                }

                &:last-child::before {
                    border-right: 1px solid #ccc;
                    border-radius: 0 5px 0 0;
                    -webkit-border-radius: 0 5px 0 0;
                    -moz-border-radius: 0 5px 0 0;
                }

                &:first-child::after {
                    border-radius: 5px 0 0 0;
                    -webkit-border-radius: 5px 0 0 0;
                    -moz-border-radius: 5px 0 0 0;
                }

                ul{
                    &:before {
                        content: '';
                        position: absolute;
                        top: 0;
                        left: 50%;
                        border-left: 1px solid #ccc;
                        width: 0;
                        height: 50px;
                    }
                }


                .item{
                    border: 1px solid #ccc;
                    padding: 5px 10px;
                    text-decoration: none;
                    color: #666;
                    font-size: 11px;
                    display: inline-block;
                    border-radius: 5px;
                    -webkit-border-radius: 5px;
                    -moz-border-radius: 5px;
                    transition: all 0.5s;
                    -webkit-transition: all 0.5s;
                    -moz-transition: all 0.5s;
                    position: relative;

                    .quantity{
                        position: absolute;
                        left: -14px;
                        top: -20px;
                    }

                    .action-name{
                        display: flex;
                        align-items: center;
                        i{
                            position: relative;
                            top: 2px;
                        }
                        max-width: 200px;
                        display: block!important;
                        display: -webkit-box!important;
                        -webkit-line-clamp: 1;
                        -moz-line-clamp: 1;
                        -ms-line-clamp: 1;
                        -o-line-clamp: 1;
                        line-clamp: 1;
                        -webkit-box-orient: vertical;
                        -moz-box-orient: vertical;
                        -ms-box-orient: vertical;
                        -o-box-orient: vertical;
                        box-orient: vertical;
                        overflow: hidden;
                        text-overflow: ellipsis;
                        white-space: normal;
                        position: relative;
                        height: 19px;
                        .quantity{
                            position: absolute;
                        }
                    }
                    .condition-name{
                        position: absolute;
                        left: 50%;
                        top: -35px;
                        transform: translateX(-50%);
                        background-color: #fff;
                        z-index: 2;
                        padding: 3px 5px;
                        border-radius: 5px;
                        //box-shadow: 0 0 10px rgba(0,0,0,0.15);
                        font-size: 10px;
                    }
                }
            }
        }
    }
}

.campaign__index--info--stop{
    color:#e6731f;
}

.is-fixed-diagram-tree-type2{
    width: 320px;
    position: fixed;
    margin-bottom: 0;
    max-height: calc(100vh - 65px - 78.5px - 86px);
    height: auto !important;
    //position: relative;
    z-index: 1;
}

.s--modal-wizard-form{
    .m-wizard.m-wizard--2 .m-wizard__head .m-wizard__nav .m-wizard__steps .m-wizard__step .m-wizard__step-number>span{
        z-index: 0;
    }
}
